//--------------------< EEPROM.h >----------------
extern unsigned char eep_another_write(unsigned char d_adr, unsigned int w_size, unsigned char *w_buf);
extern unsigned char eep_another_read(unsigned int d_adr, unsigned char length, unsigned char *data);
extern unsigned char eep_write(unsigned char d_adr,unsigned char data);
extern unsigned char eep_data_send(unsigned char data);
extern unsigned char eep_end(void);
extern unsigned int eep_recv(unsigned char d_adr);
extern unsigned char ee_finish_polling(void);
extern void IIC_recovery(void);

//----------------------------------------------------------------
#define EEP_ADDR 0b10101000  // Adresa EEPROM (posledni bit je R/W )
#define WP PB.DR.BIT.B9      // WP 
#define T_time 15000          // Escape time from while

#define EEP_DATA_WR 0x00     // Data write code : b'0 
#define EEP_DATA_RD 0x01     // Data read code  : b'1 

#define E_OK 0

//----------------------------------------------------------------


